PyStringMap (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyStringMap

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PyStringMap

All Implemented Interfaces:
  java.io.Serializable

public class PyStringMap
extends PyObject

A faster Dictionary where the keys have to be strings.

This is the default for all __dict__ instances.

See Also:
  Serialized Form

Field Summary
`static PyClass` | `__class__`

Constructor Summary
`PyStringMap()`
`PyStringMap(int capacity)`
`PyStringMap(PyObject[] elements)`

Method Summary
`int` | `__cmp__(PyObject other)` Equivalent to the standard Python __cmp__ method.
`void` | `__delitem__(PyObject key)` Equivalent to the standard Python __delitem__ method.
`void` | `__delitem__(java.lang.String key)` A variant of the __delitem__ method which accepts a String as the key.
`PyObject` | `__finditem__(PyObject key)` Very similar to the standard Python __getitem__ method.
`PyObject` | `__finditem__(java.lang.String key)` A variant of the __finditem__ method which accepts a Java `String` as the key.
`int` | `__len__()` Equivalent to the standard Python __len__ method.
`boolean` | `__nonzero__()` Equivalent to the standard Python __nonzero__ method.
`void` | `__setitem__(PyObject key, PyObject value)` Equivalent to the standard Python __setitem__ method.
`void` | `__setitem__(java.lang.String key, PyObject value)` A variant of the __setitem__ method which accepts a String as the key.
`void` | `clear()` Remove all items from the dictionary.
`PyStringMap` | `copy()` Return a shallow copy of the dictionary.
`PyObject` | `get(PyObject key)` Return this[key] if the key exists in the mapping, None is returned otherwise.
`PyObject` | `get(PyObject key, PyObject default_object)` Return this[key] if the key exists in the mapping, default_object is returned otherwise.
`boolean` | `has_key(PyObject key)` Return true if the key exist in the dictionary.
`PyList` | `items()` Return a copy of the mappings list of (key, value) tuple pairs.
`PyList` | `keys()` Return a copy of the mappings list of keys.
`PyObject` | `popitem()` Return a random (key, value) tuple pair and remove the pair from the mapping.
`PyObject` | `setdefault(PyObject key)` Return this[key] if the key exist, otherwise insert key with a None value and return None.
`PyObject` | `setdefault(PyObject key, PyObject failobj)` Return this[key] if the key exist, otherwise insert key with the value of failobj and return failobj
`java.lang.String` | `toString()`
`void` | `update(PyDictionary dict)` Insert all the key:value pairs from `dict` into this mapping.
`void` | `update(PyStringMap map)` Insert all the key:value pairs from `map` into this mapping.
`PyList` | `values()` Return a copy of the mappings list of values.

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __float__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __le__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isMappingType, isNumberType, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### __class__

    public static PyClass __class__

Constructor Detail

### PyStringMap

    public PyStringMap(int capacity)

### PyStringMap

    public PyStringMap()

### PyStringMap

    public PyStringMap(PyObject[] elements)

Method Detail

### __len__

    public int __len__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __len__ method. Part of the mapping discipline.

  Overrides:
    `__len__` in class `PyObject`
  Returns:
    the length of the object

### __nonzero__

    public boolean __nonzero__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __nonzero__ method. Returns whether of not a given `PyObject` is considered true.

  Overrides:
    `__nonzero__` in class `PyObject`

### __finditem__

    public PyObject __finditem__(java.lang.String key)

  Description copied from class: `PyObject`
  A variant of the __finditem__ method which accepts a Java `String` as the key. By default, this method will call `__finditem__(PyObject key)` with the appropriate args. The only reason to override this method is for performance. Warning: key must be an interned string!!!!!!!!

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this sequence - must be an interned string .
  Returns:
    the value corresponding to key or null if key is not found.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __finditem__

    public PyObject __finditem__(PyObject key)

  Description copied from class: `PyObject`
  Very similar to the standard Python __getitem__ method. Instead of throwing a KeyError if the item isn't found, this just returns null. Classes that wish to implement __getitem__ should override this method instead (with the appropriate semantics.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `key` - the key to lookup in this container
  Returns:
    the value corresponding to key or null if key is not found

### __setitem__

    public void __setitem__(java.lang.String key,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setitem__ method which accepts a String as the key. This String must be interned. By default, this will call `__setitem__(PyObject key, PyObject value)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `key` - the key whose value will be set - must be an interned string .
    `value` - the value to set this key to
  See Also:
    `PyObject.__setitem__(PyObject, PyObject)`

### __setitem__

    public void __setitem__(PyObject key,
                            PyObject value)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __setitem__ method.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `key` - the key whose value will be set
    `value` - the value to set this key to

### __delitem__

    public void __delitem__(java.lang.String key)

  Description copied from class: `PyObject`
  A variant of the __delitem__ method which accepts a String as the key. This String must be interned. By default, this will call `__delitem__(PyObject key)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__delitem__` in class `PyObject`
  Parameters:
    `key` - the key who will be removed - must be an interned string .
  See Also:
    `PyObject.__delitem__(PyObject)`

### __delitem__

    public void __delitem__(PyObject key)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __delitem__ method.

  Overrides:
    `__delitem__` in class `PyObject`
  Parameters:
    `key` - the key to be removed from the container

### clear

    public void clear()

  Remove all items from the dictionary.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### __cmp__

    public int __cmp__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyObject`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    -1 if this < 0; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### has_key

    public boolean has_key(PyObject key)

  Return true if the key exist in the dictionary.

### get

    public PyObject get(PyObject key,
                        PyObject default_object)

  Return this[key] if the key exists in the mapping, default_object is returned otherwise.

  Parameters:
    `key` - the key to lookup in the mapping.
    `default_object` - the value to return if the key does not exists in the mapping.

### get

    public PyObject get(PyObject key)

  Return this[key] if the key exists in the mapping, None is returned otherwise.

  Parameters:
    `key` - the key to lookup in the mapping.

### copy

    public PyStringMap copy()

  Return a shallow copy of the dictionary.

### update

    public void update(PyStringMap map)

  Insert all the key:value pairs from `map` into this mapping.

### update

    public void update(PyDictionary dict)

  Insert all the key:value pairs from `dict` into this mapping.

### setdefault

    public PyObject setdefault(PyObject key)

  Return this[key] if the key exist, otherwise insert key with a None value and return None.

  Parameters:
    `key` - the key to lookup in the mapping.

### setdefault

    public PyObject setdefault(PyObject key,
                               PyObject failobj)

  Return this[key] if the key exist, otherwise insert key with the value of failobj and return failobj

  Parameters:
    `key` - the key to lookup in the mapping.
    `failobj` - the default value to insert in the mapping if key does not already exist.

### popitem

    public PyObject popitem()

  Return a random (key, value) tuple pair and remove the pair from the mapping.

### items

    public PyList items()

  Return a copy of the mappings list of (key, value) tuple pairs.

### keys

    public PyList keys()

  Return a copy of the mappings list of keys.

### values

    public PyList values()

  Return a copy of the mappings list of values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage